From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/qtile/
Date: Sat, 13 Jul 2024 07:46:08 +0000 (UTC) [thread overview]
Message-ID: <1720856738.8919353ed4e7e73c198696277ca4fdc9824b9553.mgorny@gentoo> (raw)
commit: 8919353ed4e7e73c198696277ca4fdc9824b9553
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 13 03:34:06 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 13 07:45:38 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8919353e
x11-wm/qtile: Bump to 0.27.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
x11-wm/qtile/Manifest | 1 +
x11-wm/qtile/qtile-0.27.0.ebuild | 114 +++++++++++++++++++++++++++++++++++++++
2 files changed, 115 insertions(+)
diff --git a/x11-wm/qtile/Manifest b/x11-wm/qtile/Manifest
index e6904b014f3b..c1c03466d132 100644
--- a/x11-wm/qtile/Manifest
+++ b/x11-wm/qtile/Manifest
@@ -1,3 +1,4 @@
DIST qtile-0.23.0.tar.gz 524536 BLAKE2B 9cf5b0cdffd7bc95ab7649827c221b20718f9dcc19b8ae2a50ceac5df3d71b117eef493a40523d81e60c8bc54b2103bc2a93775fcb20c025ec1dd84f9d809a19 SHA512 d6886df8efefacf90b1a5ec487c9a5a90414593900159213a218d638ef4f018b69284fe2cea707da12655a9736aad3df74a338a60344536e4d7eebcc9fc1090b
DIST qtile-0.25.0.tar.gz 569312 BLAKE2B 3841ca41755f37191c659c039da45279393b5bbe94b3d532651548ba51d6dc62f3ac94cc5f3b02aa2b6c806e6bf97c9651756579b77938d133bdb1a697150626 SHA512 afd3267c70681d3656569f8ea88d02f35ab5d6baaa28b3d90f1b7552b5ed32c7d2f1f4f17272458ff2c39d0ca8f4fdb87748c9d7b4eb41031f3079126096c7d0
DIST qtile-0.26.0.tar.gz 593712 BLAKE2B c7f43813b42d1009f0f542ef0964e07cbb3286af6af058e168d62d1e32c7dfaf51fe537568b77d5b21a1701c1ce159b63f86b6ba4ae3bf5482125562c91c5d3a SHA512 0b28125e3111493a90c5ae993a516dccf984f794ba9c0424c9366a3b04073fdf06deba42e59e8b1e33b60e5686730e0ed010161943a4a77ab4b36e4c7c710a61
+DIST qtile-0.27.0.tar.gz 598603 BLAKE2B 79f876d290398839e83b14304956f7bbe5a5bb70faccae6e090dd37477728c9067fc9d6797b498b5a8cd1a35f08fb4bc85ee3609a244f955d2b15b79f30d96c4 SHA512 62daa4ec51239506e2a860b9d021e2838edba887c7ff45bbede36428a399343470b9357f4aab373d13279c933ae19c3bd2b03bb520862386298a1258fe505127
diff --git a/x11-wm/qtile/qtile-0.27.0.ebuild b/x11-wm/qtile/qtile-0.27.0.ebuild
new file mode 100644
index 000000000000..e8473373841c
--- /dev/null
+++ b/x11-wm/qtile/qtile-0.27.0.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="A full-featured, hackable tiling window manager written in Python"
+HOMEPAGE="
+ https://qtile.org/
+ https://github.com/qtile/qtile/
+ https://pypi.org/project/qtile/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="pulseaudio wayland"
+
+RDEPEND="
+ >=dev-python/cairocffi-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.1.0:=[${PYTHON_USEDEP}]
+ dev-python/dbus-next[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+ >=dev-python/xcffib-1.4.0[${PYTHON_USEDEP}]
+ x11-libs/cairo[X,xcb(+)]
+ x11-libs/libnotify[introspection]
+ x11-libs/pango
+ pulseaudio? (
+ dev-python/pulsectl-asyncio[${PYTHON_USEDEP}]
+ media-sound/pulseaudio
+ )
+ wayland? (
+ >=dev-python/pywayland-0.4.17[${PYTHON_USEDEP}]
+ >=dev-python/pywlroots-0.17[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/libcst[${PYTHON_USEDEP}]
+ media-gfx/imagemagick[X]
+ x11-base/xorg-server[xephyr,xvfb]
+ )
+ wayland? (
+ >=dev-python/pywayland-0.4.17[${PYTHON_USEDEP}]
+ >=dev-python/pywlroots-0.17[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e "s/can_import(\"wlroots.ffi_build\")/$(usex wayland True False)/" \
+ -i setup.py || die
+
+ # some tests expect bin/qtile
+ mkdir bin || die
+ cat >> bin/qtile <<-EOF || die
+ #!/bin/sh
+ exec qtile "\${@}"
+ EOF
+ chmod +x bin/qtile || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_compile() {
+ local -x CFFI_TMPDIR=${T}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # mypy stuff
+ test/test_check.py
+ test/migrate/test_check_migrations.py
+ # TODO: this test clearly requires x11 — so why is wayland
+ # variant being run?
+ 'test/backend/x11/test_window.py::test_urgent_hook_fire[wayland-2]'
+ )
+
+ # force usage of built module
+ rm -rf libqtile || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x TZ=UTC
+ nonfatal epytest --backend=x11 $(usev wayland '--backend=wayland') ||
+ die -n "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGELOG README.rst )
+ distutils-r1_python_install_all
+
+ insinto /usr/share/xsessions
+ doins resources/qtile.desktop
+
+ insinto /usr/share/wayland-sessions
+ doins resources/qtile-wayland.desktop
+
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}"/${PN}-session-r1 ${PN}
+}
next reply other threads:[~2024-07-13 7:46 UTC|newest]
Thread overview: 85+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-07-13 7:46 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-22 10:30 [gentoo-commits] repo/gentoo:master commit in: x11-wm/qtile/ Michał Górny
2025-03-22 8:38 Arthur Zamarin
2025-03-08 19:14 Jakov Smolić
2025-03-08 16:29 Michał Górny
2025-03-08 16:29 Michał Górny
2025-03-08 7:24 Michał Górny
2025-03-01 7:11 Michał Górny
2025-01-07 19:02 Michał Górny
2025-01-07 18:30 Michał Górny
2024-10-21 12:22 Michał Górny
2024-10-20 16:02 Michał Górny
2024-10-20 16:02 Michał Górny
2024-09-17 16:00 Sam James
2024-08-12 2:50 Michał Górny
2024-05-29 14:45 Jakov Smolić
2024-05-22 4:49 Michał Górny
2024-05-01 11:48 Michał Górny
2024-05-01 11:15 Michał Górny
2023-12-21 10:47 Michał Górny
2023-12-21 6:52 Sam James
2023-12-05 14:32 Michał Górny
2023-12-05 9:59 Jakov Smolić
2023-12-05 6:52 Joonas Niilola
2023-12-05 4:20 Michał Górny
2023-12-03 4:20 Michał Górny
2023-12-02 19:30 Michał Górny
2023-08-17 6:22 Sam James
2023-08-17 5:55 Sam James
2023-08-09 20:43 Sam James
2023-06-17 3:15 Sam James
2023-06-15 21:45 Sam James
2023-06-05 5:33 Sam James
2023-05-29 18:29 Andreas Sturmlechner
2023-05-20 6:22 Michał Górny
2023-05-03 6:55 Arthur Zamarin
2023-05-02 19:26 Sam James
2023-03-16 18:52 Michał Górny
2023-03-16 18:52 Michał Górny
2023-02-23 13:40 Sam James
2023-01-20 1:17 Sam James
2023-01-20 1:17 Sam James
2023-01-20 1:17 Sam James
2023-01-14 8:50 Joonas Niilola
2023-01-12 21:18 Yixun Lan
2023-01-12 7:06 Sam James
2022-11-15 18:22 Michał Górny
2022-06-21 20:30 Sam James
2022-06-08 9:58 Jakov Smolić
2022-06-07 23:12 Sam James
2022-05-23 19:46 Jakov Smolić
2022-05-19 1:10 Sam James
2022-05-03 3:25 Sam James
2021-09-27 14:48 Yixun Lan
2021-06-01 6:32 Agostino Sarubbo
2021-05-15 13:24 Mikle Kolyada
2021-05-15 13:24 Mikle Kolyada
2021-05-15 13:24 Mikle Kolyada
2020-09-12 14:59 Mikle Kolyada
2020-09-12 13:32 Mikle Kolyada
2020-09-12 13:32 Mikle Kolyada
2020-09-12 11:19 Mikle Kolyada
2020-09-12 11:18 Mikle Kolyada
2020-07-30 12:33 Mikle Kolyada
2020-04-24 10:45 Mikle Kolyada
2020-04-24 10:45 Mikle Kolyada
2020-04-24 10:45 Mikle Kolyada
2020-03-17 8:08 Michał Górny
2020-01-16 12:03 Tim Harder
2020-01-14 22:48 Matt Turner
2019-11-17 9:48 Mikle Kolyada
2019-11-17 5:08 Tim Harder
2019-11-17 5:08 Tim Harder
2019-07-03 22:00 Tim Harder
2019-07-03 22:00 Tim Harder
2019-03-04 8:34 Tim Harder
2018-09-18 21:23 Tim Harder
2017-11-06 10:28 Tim Harder
2017-11-06 10:21 Tim Harder
2016-06-15 2:41 Tim Harder
2016-06-15 2:41 Tim Harder
2016-06-15 2:41 Tim Harder
2016-04-09 2:24 Tim Harder
2016-01-17 3:34 Tim Harder
2016-01-17 3:34 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1720856738.8919353ed4e7e73c198696277ca4fdc9824b9553.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox